{% extends 'frame.html.twig' %}

{% block body %}
    {% include "widgets/horizontal_switcher_timeslots_shifts.html.twig" %}

    {% include 'widgets/productivity_diagram/supervisor_day_overview.html.twig' %}

    <div class="table_wrapper">
        <div class="table">
            <div class="table_header general_list_row table_row">
                <div class="general_list_cell table_cell">{{ 'Time' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Capacity' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Job' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Open' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Actions' | trans }}</div>
            </div>

            {% set no_data = false %}
            {% for timeslot in timeslots %}
                <div class="general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ timeslot.beginTime|date("H:i")|default('!!!' | trans) }} - {{ timeslot.endTime|date("H:i")|default('!!!' | trans) }}</div>
                    <div class="general_list_cell table_cell">
                        {% if timeslot.capacity|default(0) is null or timeslot.capacity|default(1) == 0  %}
                            {{ 'Unlimited' | trans }}
                        {% else %}
                            {{ timeslot.takenSpots|default(0) }}/{{ timeslot.capacity|default(1) }}
                        {% endif %}
                    </div>
                    <div class="general_list_cell table_cell">{{ timeslot.job.name|default('!!!' | trans) }}</div>
                    <div class="general_list_cell table_cell">
                        {% if timeslot is not null %}
                            {{ timeslot.open == 1 ? 'Open' | trans : 'Closed' | trans }}
                        {% endif %}
                    </div>
                    <div class="general_list_cell table_cell">
                        <a href="{{ path('supervisor_modify_timeslot', {'id': timeslot.id}) }}">
                            {% image '@AppBundle/Resources/public/img/icons/modify.svg' output='/img/icons/modify.svg' %}
                            <img class="icon" src="{{ asset_url }}" alt="Modify">
                            {% endimage %}
                        </a>
                        <a href="javascript: void(0)" class="delete_confirmation_button" data-id="{{ timeslot.id }}">
                            {% image '@AppBundle/Resources/public/img/icons/delete.svg' output='/img/icons/delete.svg' %}
                            <img class="icon" src="{{ asset_url }}" alt="Delete">
                            {% endimage %}
                        </a>
                        <div class="delete_confirmation_popup" data-id-confirm-popup="{{ timeslot.id }}">
                            {{ 'Are you sure you want to delete this timeslot?' | trans }}
                            <form name="delete_{{ timeslot.id }}" action="{{ path('supervisor_delete_timeslot', {'id': timeslot.id}) }}" method="POST">
                                <input type="hidden" name="_csrf_token" value="{{ tokens[timeslot.id] }}">
                                <input type="submit" value="{{ 'Yes' | trans }}">
                                <input type="button" class="delete_cancellation_button" value="{{ 'No' | trans }}">
                            </form>
                        </div>
                    </div>
                </div>
            {% else %}
                {% set no_data = true %}
            {% endfor %}
        </div>
        {% if no_data == true %}
            <div class="no_data">{{ 'No data' | trans }}</div>
        {% endif %}
    </div>
    <a class="create_button basic_button" href="{{  path('supervisor_create_timeslot', {'year': selected_date|date("Y"), 'month': selected_date|date('m'), 'day': selected_date|date('d')}) }}">{{ 'New timeslot' | trans }}</a>
{% endblock %}